QGIS Application - Bug report #7048
QGIS Mapserver Internal Server Error
2013-01-25 09:31 AM - dr -

Status: Closed

Priority: High

Assignee: Marco Hugentobler
Category: QGIS Server

Affected QGIS version:master
Operating System: Ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: worksforme

Copied to github as #: 16136

Description

Trying to run QGIS Mapserver on Ubuntu 12.04 (1.9.0+git20130123+595a45f~precise-ubuntugis1) installed from

http://qgis.org/ubuntugis-nightly. Open web page

http://localhost/cgi-bin/qgis_mapserv.fcgi?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetCapabilities and get Internal

Server Error. Apache logs:

[Sat Jan 26 00:29:55 2013] [warn] [client ::1] mod_fcgid: error reading data, FastCGl server closed connection
[Sat Jan 26 00:29:55 2013] [error] [client ::1] Premature end of script headers: qgis_mapserv.fcgi

[Sat Jan 26 00:29:55 2013] [error] [client ::1] File does not exist: /var/www/favicon.ico
[Sat Jan 26 00:30:00 2013] [error] mod_fcgid: process /usr/lib/cgi-bin/qgis_mapserv.fcgi(6333) exit(communication error), get

signal 6, possible coredump generated

History

#1 - 2013-01-25 09:49 AM - dr -

If put *.qgs file into cgi-bin directory - all works fine. Is it normal behavior?

#2 - 2013-06-02 07:36 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

| guess you cannot ask for capabilities without specifying a project file (with &map-=...). If a QGIS in in cgi-bin this is assumed as default.
